#
#	Apple Macintosh Developer Technical Support
#
#	Offscreen Buffer Sample Application
#
#	OffSample
#
#	POffSample.make		-	Make Source
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#				1.00				04/89
#
#	Components:
#				OffSample.p			April 1, 1989
#				OffSample.r			April 1, 1989
#				OffSample.h			April 1, 1989
#				POffSample.make		April 1, 1989
#
#	Requirements:
#				Offscreen.p			April 1, 1989
#				Offscreen.inc1.p	April 1, 1989
#				UFailure.p			November 1, 1988
#				UFailure.inc1.p		November 1, 1988
#				UFailure.a			November 1, 1988
#
#	OffSample demonstrates the usage of the Offscreen
#	unit. It shows how to use offscreen pixmaps and
#	bitmaps to produce flicker-free updating with a
#	minimum of re-structuring of code. OffSample attempts
#	to reduce the amount of 'knowledge' that it has of
#	the offscreen structure so as to minimize its
#	dependence on that unit.
#
#	OffSample emphasizes using the Offscreen unit; it
#	is not intended to be viewed as a complete application
#	from which to base some larger effort. Instead, its
#	method of using offscreen bitmaps and pixmaps should
#	be studied and adapted to other applications that
#	desire features such as flicker-free updating.
#

PObjs			= OffSample.p.o 
		UFailure.a.o 
		UFailure.p.o 
		Offscreen.p.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{PLibraries}"PasLib.o

POffSample		 {PObjs} POffSample.make
		Link -o {Targ} {PObjs}
		SetFile {Targ} -t APPL -c '????' -a B

POffSample		 OffSample.r OffSample.h OffSample.rsrc POffSample.make
		Rez -rd -o {Targ} OffSample.r -append

POffSample.p.o	 Offscreen.p UFailure.p POffSample.make

UFailure.p.o	 UFailure.inc1.p POffSample.make

UFailure.a.o	 POffSample.make

Offscreen.p.o	 Offscreen.inc1.p POffSample.make

